Subject: Re: How to bypass the post-commit hook?

From: Jan Hudec <[email-masked]>
Date: Mon, 31 Dec 2007 18:05:32 +0100

On Mon, Dec 31, 2007 at 21:26:21 +0800, Ping Yin wrote:
> On Dec 31, 2007 6:55 PM, Jan Hudec <[email-masked]> wrote:
> > Note, that you can -- and should -- add the foo.css to the commit. But the
> > file might contain other changes in tree, that are not about to be commited,
> > so prefered way would be to get the content from the index, modify that and
> > update the index manually (with git update-index).
> 
> If pre-commit has modified files to be commited, it will abort this
> commit and give a message to direct the user to commit again
> with/without the changed content.
> 
> AFAIK, git add -i can add selected chunk to the index. As you said,
> can git-update-index also do this job?

git update-index is the underlying plumbing for git add/git rm.

However, you should change foo.css in index even if the working tree copy
does not match it and is not selected for commit. Only way I see to do that
is to prepare a patch and apply it to both the working tree (git apply) and
to the index (git apply --cached).

It will probably work for you without such finesse, you will just have to be
aware of it's quirks.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>